<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:layout_gravity="center">

    <LinearLayout
        android:id="@+id/userline"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_centerHorizontal="true"
        android:orientation="horizontal" >

        <TextView
            android:id="@+id/text2"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="    用户名:"
            android:textColor="@android:color/black"
            android:textSize="20dip" />

        <EditText
            android:id="@+id/name"
            android:enabled="false"
            android:editable="false"
            android:textColor="@android:color/black"
            android:layout_width="200dip"
            android:layout_height="wrap_content"
            android:singleLine="true" />
    </LinearLayout>
<!-- 
    <LinearLayout
        android:id="@+id/oldpwdline"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_below="@+id/userline"
        android:layout_centerHorizontal="true"
        android:orientation="horizontal" >

        <TextView
            android:id="@+id/text3"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="原始密码:"
            android:textColor="@android:color/black"
            android:textSize="20dip" />

        <EditText
            android:id="@+id/oldpwd"
            android:layout_width="200dip"
            android:layout_height="wrap_content"
            android:hint="请输入原始密码"
            android:password="true"
            android:singleLine="true" />
    </LinearLayout>
     -->
    <LinearLayout
        android:id="@+id/newpwdline"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_below="@+id/userline"
        android:layout_centerHorizontal="true"
        android:orientation="horizontal" >

        <TextView
            android:id="@+id/text4"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="    新密码:"
            android:textColor="@android:color/black"
            android:textSize="20dip" />

        <EditText
            android:id="@+id/newpwd"
            android:layout_width="200dip"
            android:layout_height="wrap_content"
            android:hint="请输入新密码"
            android:inputType="number"
            android:digits="0123456789qwertyuiopasdfghjklzxcvbnmQWERTYUIOPASDFGHJKLZXCVBNM_"
            android:password="false"
            android:singleLine="true" />
    </LinearLayout>
     <LinearLayout
        android:id="@+id/cfnewpwdline"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_below="@+id/newpwdline"
        android:layout_centerHorizontal="true"
        android:orientation="horizontal" >

        <TextView
            android:id="@+id/text5"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="重复输入:"
            android:textColor="@android:color/black"
            android:textSize="20dip" />

        <EditText
            android:id="@+id/cfnewpwd"
            android:layout_width="200dip"
            android:layout_height="wrap_content"
            android:hint="重复输入新密码"
            android:inputType="number"
            android:digits="0123456789qwertyuiopasdfghjklzxcvbnmQWERTYUIOPASDFGHJKLZXCVBNM_"
            android:password="false"
            android:singleLine="true" />
    </LinearLayout>

    <LinearLayout
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_alignRight="@id/userline"
        android:layout_below="@+id/cfnewpwdline"
        android:layout_centerHorizontal="true"
        android:orientation="horizontal" >

        <Button
            android:layout_width="200dip"
            android:layout_height="wrap_content"
            android:onClick="onsub"
            android:text="修改" />
    </LinearLayout>

</RelativeLayout>